import { ElementRef, OnDestroy } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class AdbRichEditorComponent implements ControlValueAccessor, OnDestroy {
    private el;
    text: string;
    hasTaxon: boolean;
    hasReference: boolean;
    rows: number;
    constructor(el: ElementRef);
    onDoubleClick(): void;
    onItalicClick(): void;
    onBoldClick(): void;
    private applyFormatting;
    onTaxonClick(): void;
    onReferenceClick(): void;
    private replaceMarked;
    onTextChange(): void;
    onChange: any;
    onTouched: any;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdbRichEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdbRichEditorComponent, "adb-rich-editor", never, { "hasTaxon": { "alias": "hasTaxon"; "required": false; }; "hasReference": { "alias": "hasReference"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; }, {}, never, never, false, never>;
}
