import { RichModuleConfig } from './rich-module-config';
import * as i0 from "@angular/core";
export interface RichTextPart {
    type: 'text' | 'italic' | 'bold' | 'taxon' | 'term' | 'reference';
    content: string;
    id?: string;
}
export declare class RichTextComponent {
    private config;
    text: string;
    parts: RichTextPart[];
    taxonUrl: string;
    constructor(config: RichModuleConfig);
    ngOnChanges(): void;
    private parseCustomMarkdown;
    static ɵfac: i0.ɵɵFactoryDeclaration<RichTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RichTextComponent, "adb-rich-text", never, { "text": { "alias": "text"; "required": false; }; }, {}, never, never, false, never>;
}
