import { OnDestroy } from '@angular/core';
import { AdbUserServiceConfig } from './adb-user-service-config';
import { HttpClient } from '@angular/common/http';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class AdbUserService implements OnDestroy {
    config: AdbUserServiceConfig;
    private http;
    private router;
    private subscriptions;
    private userSubject;
    user$: import("rxjs").Observable<any>;
    lastRefreshTime: number;
    intervalId: any;
    constructor(config: AdbUserServiceConfig, http: HttpClient, router: Router);
    init(): void;
    startMainLoop(): void;
    login(url?: string): void;
    logout(): void;
    private checkStatus;
    _internalTriggerUserEvent(token: string): void;
    private refreshToken;
    setTokensInSession(params: any): void;
    authorize(): Promise<void>;
    private addQueryParams;
    private getTokenTimeToLive;
    private canRefreshToken;
    private hasUserBeenActive;
    log(message: string, ...optionalParams: any[]): void;
    getUser(token: string): any;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdbUserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AdbUserService>;
}
