import { OnDestroy, OnInit } from "@angular/core";
import { EnvironmentService } from "./environment.service";
import { TranslateService } from "@ngx-translate/core";
import { HttpClient } from '@angular/common/http';
import { Navigation } from "./navigation.model";
import * as i0 from "@angular/core";
export declare class ArtportalenFooterComponent implements OnInit, OnDestroy {
    private httpClient;
    private envService;
    trans: TranslateService;
    private subscription;
    translationFinished: boolean;
    url: string;
    navigation: Navigation;
    baseUrl: any;
    constructor(httpClient: HttpClient, envService: EnvironmentService, trans: TranslateService);
    ngOnInit(): void;
    private initTranslations;
    private loadTranslation;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArtportalenFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ArtportalenFooterComponent, "adb-artportalen-footer", never, {}, {}, never, never, false, never>;
}
