import { AfterViewInit, ElementRef } from '@angular/core';
import { AdbModalService } from './adb-modal.service';
import * as i0 from "@angular/core";
export declare class AdbConfirmModal implements AfterViewInit {
    modalRef: AdbModalService;
    private elementRef;
    model: DialogModel;
    constructor(modalRef: AdbModalService, elementRef: ElementRef);
    ngAfterViewInit(): void;
    onClose(confirm: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdbConfirmModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdbConfirmModal, "ng-component", never, { "model": { "alias": "model"; "required": false; }; }, {}, never, never, false, never>;
}
export interface DialogModel {
    header: string;
    text: string;
    confirm?: string;
    decline?: string;
    showDecline?: boolean;
    value?: any;
}
