import { ApplicationRef, ComponentFactoryResolver, Injector, Renderer2, RendererFactory2 } from "@angular/core";
import { DialogModel } from "./adb-confirm-modal";
import * as i0 from "@angular/core";
export declare class AdbModalService {
    private componentFactoryResolver;
    private appRef;
    private injector;
    private closeSubject;
    close$: import("rxjs").Observable<boolean>;
    renderer: Renderer2;
    domElem: HTMLElement;
    backdrop: any;
    constructor(componentFactoryResolver: ComponentFactoryResolver, rendererFactory: RendererFactory2, appRef: ApplicationRef, injector: Injector);
    hide(confirm: boolean): void;
    showConfirm(model: DialogModel): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdbModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AdbModalService>;
}
