import { InjectionToken } from "@angular/core";
export interface AdbUserServiceConfig {
    redirectUrl: string;
    clientId: string;
    issuer: string;
    scope?: string;
    responseType?: string;
    idleTime?: number;
    autoLogin?: boolean;
    postLogoutUrl?: string;
    overrideIssuer?: boolean;
    log?: boolean;
}
export declare const ADB_USER_SERVICE_CONFIG: InjectionToken<AdbUserServiceConfig>;
export declare const DEFAULT_ADB_USER_SERVICE_CONFIG: {
    scope: string;
    idleTime: number;
    autoLogin: boolean;
    response_type: string;
    overrideIssuer: boolean;
    log: boolean;
};
